/**
 * Theme Name:     K-Tech
 * Author:         K-Tech
 * Template:       flatsome
 * Text Domain:	   k-tech
 * Description:    Theme Build by Dai
 * Theme URI:      https://k-tech.net.vn/
 * Author URI:     https://k-tech.net.vn/
 * Version:        20250916
 * License:        2NRJM-B46WR-K6VQR-Y4T3D-QRWPX
 * License URI:    https://k-tech.net.vn/
 */

/*************** ADD CUSTOM CSS HERE.   ***************/
.btn_center {
    margin: 0 auto;
    display: block;
    width: max-content;
}

.row_box .row_box_title {
    color: #fff;
    background: var(--primary-color);
    padding: 10px;
}

.row_box .row_box_title h3 {
    margin-bottom: 0;
    color: #fff;
}

.row_box {
    border: 1px solid var(--primary-color);
}

.row_box .col.small-12 {
    padding: 0;
}

.row_box .col.small-12 .row {
    padding: 15px;
}

.col_contact form.wpcf7-form.init {
    padding: 16px;
}
.filter-modal span.term-image img {
    height: 35px !important;
    object-fit: contain;
}
.form-row {
    margin-bottom: 10px;
}

.form-row input,
.form-row textarea {
    border-radius: 10px;
}

.col_map .col-inner,
.col_map .col-inner p,
.col_map .col-inner iframe {
    height: -webkit-fill-available;
}

.w-5,
.w-10,
.w-20,
.w-25,
.w-30,
.w-33,
.w-40,
.w-50,
.w-66,
.w-75,
.w-100 {
    opacity: 1 !important;
    padding: 0 !important;
    margin: 0 !important;
}

#main {
    background-color: #f3f4f6 !important;
}

/* Desktop */
.w-5 {
    flex-basis: 5% !important;
    max-width: 5% !important;
}

.w-10 {
    flex-basis: 10% !important;
    max-width: 10% !important;
}

.w-20 {
    flex-basis: 20% !important;
    max-width: 20% !important;
}

.w-25 {
    flex-basis: 25% !important;
    max-width: 25% !important;
}

.w-30 {
    flex-basis: 30% !important;
    max-width: 30% !important;
}

.w-33 {
    flex-basis: 33% !important;
    max-width: 33% !important;
}

.w-40 {
    flex-basis: 40% !important;
    max-width: 40% !important;
}

.w-50 {
    flex-basis: 50% !important;
    max-width: 50% !important;
}

.w-66 {
    flex-basis: 66% !important;
    max-width: 66% !important;
}

.w-75 {
    flex-basis: 75% !important;
    max-width: 75% !important;
}

.w-100 {
    flex-basis: 100% !important;
    max-width: 100% !important;
}

/* Tablet */
@media (min-width: 768px) and (max-width: 1024px) {
    .w-5,
    .w-10,
    .w-20,
    .w-25,
    .w-30,
    .w-33,
    .w-40,
    .w-50,
    .w-66,
    .w-75,
    .w-100 {
        flex-basis: 40% !important;
        max-width: 40% !important;
    }
}

/* Mobile */
@media (max-width: 768px) {
    .w-5,
    .w-10,
    .w-20,
    .w-25,
    .w-30,
    .w-33,
    .w-40,
    .w-50,
    .w-66,
    .w-75,
    .w-100 {
        flex-basis: 100% !important;
        max-width: 100% !important;
    }
}

.sec-dv .large-2 {
    flex-basis: 20%;
    max-width: 20%;
}

.sec-dv .box.has-hover {
    padding: 17px 9px;
    border-radius: 10px;
    background: #fff;
}

.sec-dv .box-image {
    height: auto;
    margin: 0 auto;
    overflow: hidden;
    position: relative;
    padding-bottom: 5px;
}

.sec-dv .box-text.text-center {
    padding: 0px;
}

.sec-dv .box.has-hover::before {
    content: "";
    left: 0.3125rem;
    right: 0.3125rem;
    top: 0.3125rem;
    bottom: 0.3125rem;
    border: 2px solid #252525;
    position: absolute;
    z-index: 1;
    border-radius: 10px;
    pointer-events: none;
    -webkit-transition: 0.3s;
    transition: 0.3s;
}

.sec-dv .row-why {
    position: relative;
}

.text_event {
    text-align: center;
    margin: 20px;
}

.row-why::before {
    content: "";
    width: calc(100% - 50px);
    height: 2px;
    background: #c1c1c1;
    position: absolute;
    top: calc(42%);
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    z-index: inherit;
}

.sec-dv .box.has-hover::after {
    content: "";
    width: 1.15rem;
    height: 1.15rem;
    border-radius: 100%;
    background: #c1c1c1;
    position: absolute;
    right: -15px;
    top: 52%;
    -webkit-transform: translate(50%, -50%);
    transform: translate(50%, -50%);
    z-index: inherit;
    pointer-events: none;
}

.last-item .box.has-hover::after {
    display: none !important;
}

.row-why {
    display: flex;
    flex-wrap: wrap;
    align-items: stretch; /* lÃ m cÃ¡c cá»™t cao báº±ng nhau */
    justify-content: center;
}

.row-why .col {
    display: flex;
    flex-direction: column;
}

.row-why .col-inner {
    display: flex;
    flex: 1;
}

.row-why .box {
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: space-between; /* icon vÃ  text cÄƒn Ä‘á»u */
}

.sec-dv .col:last-child .box.has-hover::after {
    display: none !important;
}

/* Báº¢O TRÃŒ */
.sec-baotri {
    .box {
        .overlay {
            background: transparent;
        }

        .box-text {
            text-shadow: unset !important;

            .box-text-inner {
                .text {
                    display: flex;
                    flex-direction: column;
                    align-items: center;

                    h2 {
                        font-size: 50px;
                        margin: 0;
                        padding: 0;
                    }

                    p {
                        width: 80%;
                    }
                }
            }
        }
    }
}

.sec-trainghiem {
    .col-inner {
        height: 100%;

        .img {
            height: 100%;

            .img-inner {
                height: 100%;

                img {
                    height: 100%;
                }
            }
        }
    }

    .slider-nav-circle .flickity-prev-next-button svg {
        border: inherit;
        background: black;
        border-radius: 5px !important;
        box-shadow: 1px;
        box-shadow: 0 4px 10px rgba(0, 0, 0, 0.3);
        font-size: 3px;
    }
}

@media only screen and (min-width: 768px) and (max-width: 1024px) {
    .solution-project .row.w-33 {
        flex-basis: 50% !important;
        max-width: 50% !important;
    }
}

.solution-project .project-items {
    border-radius: 5px;
    overflow: hidden;
}

.solution-project .project-items:hover .box-text {
    transform: translate(-50%, 0);
    transition: all 0.5s ease;
}

.solution-project .project-items .box-text {
    text-shadow: none !important;
    width: 90%;
    bottom: 5%;
    left: 50%;
    transform: translate(-50%, 200%);
    padding: 10px 20px;
    border-radius: 8px;
    background: hsla(0, 0%, 100%, 0.6);
    transition: all 0.5s ease;
}

@media only screen and (max-width: 768px) {
    .solution-project .project-items .box-text {
        padding: 10px;
    }
}

.solution-project .project-items .box-text .box-text-inner .project-content {
    margin-bottom: 13px;
}

.solution-project
.project-items
.box-text
.box-text-inner
.project-content:last-child {
    margin-bottom: 0;
}

.solution-project .project-items .box-text .box-text-inner .project-content * {
    line-height: 1.35;
    margin: 0;
}

.solution-project
.project-items
.box-text
.box-text-inner
.project-content
.txt {
    font-size: 17px;
    max-width: 35%;
}

@media only screen and (max-width: 768px) {
    .solution-project
    .project-items
    .box-text
    .box-text-inner
    .project-content
    .txt {
        font-size: 16px;
    }
}

.solution-project
.project-items
.box-text
.box-text-inner
.project-content
.name {
    font-size: 19px;
    text-align: end;
    max-width: 65%;
}

@media only screen and (max-width: 768px) {
    .solution-project
    .project-items
    .box-text
    .box-text-inner
    .project-content
    .name {
        font-size: 18px;
    }
}

.solution-project .slider-wrapper .slider .flickity-button {
    width: 50px;
    height: 50px;
    opacity: 1 !important;
    transform: translate(0, 450%) !important;
    top: 45%;
    z-index: 9;
    display: block;
}

@media only screen and (max-width: 768px) {
    .solution-project .slider-wrapper .slider .flickity-button {
        top: 15%;
    }
}

@media only screen and (min-width: 768px) and (max-width: 1024px) {
    .solution-project .slider-wrapper .slider .flickity-button {
        top: 26%;
    }
}

@media only screen and (min-width: 1024px) and (max-width: 1280px) {
    .solution-project .slider-wrapper .slider .flickity-button {
        top: 32%;
    }
}

.solution-project .slider-wrapper .slider .flickity-button.next {
    right: 39%;
}

@media only screen and (max-width: 768px) {
    .solution-project .slider-wrapper .slider .flickity-button.next {
        right: 5%;
    }
}

@media only screen and (min-width: 768px) and (max-width: 1024px) {
    .solution-project .slider-wrapper .slider .flickity-button.next {
        right: 30%;
    }
}

.solution-project .slider-wrapper .slider .flickity-button.previous {
    left: 39%;
}

@media only screen and (max-width: 768px) {
    .solution-project .slider-wrapper .slider .flickity-button.previous {
        left: 5%;
    }
}

@media only screen and (min-width: 768px) and (max-width: 1024px) {
    .solution-project .slider-wrapper .slider .flickity-button.previous {
        left: 30%;
    }
}

.solution-project .slider-wrapper .slider .flickity-button svg {
    border: none !important;
    width: 50px;
    height: 50px;
    padding: 16px;
    background: #ffefe8;
    border-radius: 99px;
    overflow: hidden;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
}

.solution-project .slider-wrapper .slider .flickity-button svg path {
    fill: var(--primary-color) !important;
}

.solution-project .flickity-page-dots {
    bottom: -14%;
}

@media only screen and (max-width: 768px) {
    .solution-project .flickity-page-dots {
        bottom: -9%;
    }
}

.solution-project .flickity-page-dots .dot {
    height: 15px;
    width: 15px;
    opacity: 1;
    border: none !important;
    background: rgba(217, 217, 217, 0.6) !important;
}

.solution-project .flickity-page-dots .dot.is-selected {
    background: var(--primary-color) !important;
}

/*  */
.sec-icon-num {
    .row {
        background: white;
        padding: 20px;
        border-radius: 12px;
        margin-top: -3rem !important;
        z-index: 999;
        position: relative;

        .col {
            padding: 0px;
            margin: 0px;
        }
    }
}

.section_bg_left:before {
    content: "";
    background-image: linear-gradient(
            to right,
            var(--primary-color) 20%,
            transparent 100%
    );
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin: auto;
    z-index: 1;
}

.section_bg_right:before {
    content: "";
    background-image: linear-gradient(
            to left,
            var(--primary-color) 20%,
            transparent 100%
    );
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin: auto;
    z-index: 1;
}

.row_thanhtuu {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    margin-right: -15px;
    margin-left: -15px;
    position: relative;
    z-index: 2;
}

.row_thanhtuu .col {
    position: relative;
    width: 100%;
    padding-right: 15px;
    padding-left: 15px;
    -ms-flex: 0 0 40%;
    flex: 0 0 40%;
    max-width: 40%;
}
.col_filter {
	justify-content: space-between;
}
.col_filter .wrap_filter {
    display: flex;
    gap: 20px;

}
.row_thanhtuu:nth-child(2) {
    justify-content: end;
    margin-top: -150px;
}

.section_loiich img.bg {
    object-fit: contain;
    object-position: right;
}

.section_giadinh1 .col-inner {
    height: -webkit-fill-available;
}

.title_box p {
    margin-bottom: 0;
}

title_box {
}

.title_box h2 {
    color: var(--primary-color);
    font-size: 40px;
}

.slider_hoadon .col {
}

.slider_hoadon .col .item_tag {
    position: absolute;
    top: 0;
    right: 0;
    background: #116a34;
    padding: 5px 10px;
    min-width: 50%;
    text-align: center !important;
    color: #fff;
}

.slider_hoadon .col .col-inner {
    border-radius: 8px;
    overflow: hidden;
    padding: 45px 20px 20px;
    border: 1px solid #dedede;
    position: relative;
    text-align: center;
}

.slider_hoadon .col p {
    margin-bottom: 0;
}

.slider_hoadon .col .item-number {
    display: block;
    font-weight: bold;
    font-size: 32px;
    color: #116a34;
    line-height: normal;
}

div#text-2813643818 {
}

.slider_hoadon .col .item-des {
    display: block;
    font-size: 18px;
    font-weight: bold;
    margin-bottom: 10px;
}

.slider_hoadon .col .item-content-1 {
    display: block;
    background: #ffc000;
    width: 100%;
    border-radius: 5px;
    padding: 5px 10px;
    font-weight: bold;
    margin-bottom: 10px;
}

.title_no_border b {
    display: NONE;
}

.title_no_border .section_title {
    justify-content: center !important;
}

.title_no_border h3.section-title.section-title-center {
    justify-content: center;
}

.footer_top form.wpcf7-form.init {
    display: flex;
    align-items: center;
}

.footer_top .form-wrapper {
    display: flex;
    align-items: center;
    gap: 20px;
}

.footer_top .form-wrapper textarea {
    height: 50px;
}

.footer_top .form-row input[type="submit"] {
    background-color: var(--fs-color-secondary);
}

.footer_chinhsach .col {
    padding-bottom: 0;
}

.footer_chinhsach h4 {
    margin-bottom: 0;
    font-size: 16px;
}

.footer_chinhsach .col {
    padding-bottom: 0;
}

.footer_chinhsach h4 {
    margin-bottom: 0;
    font-size: 16px;
}

.stack_footer img {
    width: 30px;
}

.stack_footer .img {
    width: max-content;
}

.stack_footer {
    display: flex;
}

.title_footer {
    font-weight: 700;
}

.woocommerce-product-gallery__wrapper .flickity-viewport, .woocommerce-product-gallery__wrapper .flickity-viewport .woocommerce-product-gallery__image {
    height: 300px !important;
}

.product-gallery-slider img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.content.content_kythuat ul {
    list-style: none;
}

.content.content_kythuat ul li {
    display: flex;
    margin: 0;
    padding: 7px 10px;
}

.content.content_kythuat ul li span {
}

.content.content_kythuat ul li span.item_label {
    width: 40%;
}

.content.content_kythuat ul li span.item_content {
    width: 60%;
}

.content.content_kythuat ul li:nth-child(even) {
    background: rgb(243 244 246/1);
}

.row_content_product > .col .col-inner {
    background: #fff;
    padding: 0 15px 20px;
}

.custom-product-content {
    padding: 20px;
}

.searchform-wrapper {
    width: 100% !important;
}

.header_btn a {
    background: var(--primary-color);
    color: #fff;
    display: block;
    border-radius: 10px;
    padding: 10px;
}

.product-meta-acf .meta-top {
    font-size: 14px;
    color: #555;
    margin-bottom: 6px;
}

.product-meta-acf .meta-top span {
    margin-right: 12px;
}

.product-meta-acf .price-old {
    text-decoration: line-through;
    color: #999;
    margin-right: 8px;
    font-size: 14px;
}

.product-meta-acf .discount {
    background: #ff4d4f;
    color: #fff;
    padding: 2px 6px;
    font-size: 13px;
    border-radius: 4px;
}

.product-meta-acf .price-new .amount{
    color: #e60000;
    font-size: 28px;
    font-weight: 700;
    margin-top: 4px;
}

.mega_tabs li.tab {
    padding: 10px;
}
.col_menu_news img.attachment-medium.size-medium {
    padding-top: 0;
    margin-top: -6px;
}
.icon_box_banggia .icon-box-text {
    display: flex;
    align-items: center;
    gap: 20px;
}

.icon_box_banggia .icon-box-text p {
    margin-bottom: 0;
}

.icon_box_banggia {
    background: #f3f4f6;
    color: #000;
    padding: 10px;
    margin: 10px 0;
}
h3.title_relate {
    font-size: 1.7em;
}
.col_flashsale {
    position: relative;
    padding-top: 200px;
}

.col_flashsale:before {
    content: '';
    position: absolute;
    background-image: url('https://ktech7.k-tech-services.com/info552/wp-content/uploads/2026/01/176648852848375528880.webp');
    width: 100%;
    height: 760px;
    background-repeat: no-repeat;
    background-size: cover;
    top: 0;
    left: 0;
    border-radius: 20px;
}

.col_flashsale span.sold_count {
    display: none;
}


.col_flashsale span.price, .product-small .col-inner span.price {
    display: flex;
    flex-direction: column;
    min-height: 27px;
}

.product_item_meta__rating {
    display: flex;
    align-items: center;
    gap: 4px;
}
.product_item_meta span.sold_count {
    margin-top: 0;
}
.tab_product_home li.tab {
    margin: 0 !important;,
animation: 0;,
animation: 0;
    padding: 0;
    background: #fff !important;
    opacity: 1 !important;
    border-width: 1px;
    border-color: red;
    border-right: 1px solid #f3f4f6;
}

.tab_product_home li.tab a {
    border-color: #f3f4f6;
    background: #fff;
    border: none;
}

.tab_product_home li.tab.active a {
    background: #fff2f2 !important;
}
.product_item_meta__rating .product_item_meta__rating--icon {
    margin-top: -3px;
}
.product_item_meta {
    display: flex;
    gap: 5px;
    align-items: center;
    margin-top: 10px;
}

span.price ins span.woocommerce-Price-amount.amount {
    font-size: 18px;
    color: red;
}

.block_product_sale .btn_muadeal {
    display: block;
}

.product-title a {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
    color: #000;
}

.product-small .col-inner {
    background: #fff;
    padding: 10px;
    border-radius: 10px;
    height: 100%;
    border: 1px solid #e5e5e5;
}

.product-small .col-inner {
    img {
        transition: all 0.5s;
        transform: scale(1);
    }

    :hover img {
        transform: scale(1.1);
    }

}

.blog_single .content ul, .blog_single .content ol {
    margin-left: 1rem;
}

.slider_banner img, .slider_product_single img {
    border-radius: 10px;
}

.col_flashsale ul.nav.nav-pills li a {
    color: #fff;
}

.product-small .box-image {
    background: #fff;
}

.row_bg_white {
    background: #fff;
    border-radius: 15px;
    padding: 12px;
}
.tabbed-content.tab_product_home {
    background: #fff;
    border-radius: 20px;
    overflow: hidden;
}
body {
    background: #bbb;
}

.row_bg_white .col.medium-6 {
    padding-bottom: 0 !important;
}

.blog_post_home .post-title a {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
}

.row_mega_menu .col-inner {
    display: flex;
    align-items: center;
    gap: 20px;

}

.col_menu_news {
    background: #fff;
    border-radius: 15px;
    padding: 10px !important;
}

.row_mega_menu .col-inner .icon-box-text {
    display: none;
}

.row_mega_menu .col-inner .icon-box {
    width: max-content;
    mt-8px
}

.row_mega_menu .col-inner .ux-menu {
    flex-direction: row;
    gap: 20px;
    overflow-x: scroll;
    scrollbar-width: none;
}

body {
    background: #f3f4f6;
}

.inner_blog_new .col-inner {
    background: #fff;
    padding: 10px;
    border-radius: 15px;
}
.content iframe {
    border-radius: 20px;
}
.blog_content {
    background: #fff;
    border-radius: 15px;
    padding: 15px;
}

.top_single {
    padding: 15px;
}

.blog_content {
    background: #fff;
    border-radius: 15px;
    padding: 15px;
}

.top_single {
    padding: 15px;
}

.relate_posts .item_post {
    display: flex;
    gap: 20px;
    margin-bottom: 20px;
}

.relate_posts .item_post a.thumb_post {
    width: 50%;
}

.relate_posts .item_post img {
    width: 100%;
}

.relate_posts .item_post .info_post {
    width: 50%;
}

.home_product_cat {
    background: #fff;
    border-radius: 20px;
    padding: 14px;
}

.flash-countdown .countdown-box {
    display: flex;
    gap: 6px;

    font-weight: 600;
    font-size: 14px;
}

.flash-countdown span {
    min-width: 22px;
    text-align: center;
    background: #000;
    color: #fff;
    padding: 6px 10px;
    border-radius: 6px;
}

.flash-ended {
    color: #fff;
    font-weight: bold;
}

.flash-sale-box {
    background-image: url(../k-tech/assets/images/bg-fs.png);
    border-radius: 10px;
    overflow: hidden;
    background-size: cover;
    background-repeat: no-repeat;
    color: #fff;
    display: flex;
    padding: 20px;
    justify-content: space-between;
    align-items: center;
}

.flash-sale-box .amount {
    color: #fff;
}



.flash-sale-box .flash-price {
    font-size: 32px;
}

.flash-sale-box .flash-old .amount {
    text-decoration: line-through;
    font-weight: 400;
}

.flash-sale-box span.flash-discount {
    background: #fff;
    color: #000;
    border-radius: 5px;
    margin-left: 5px;
    padding: 5px;
}

.flash-sale-right .flash-sold, span.sale_num {
    background-image: linear-gradient(90deg, #ffefb4, #fdd38b);
    border-radius: 10px;
    text-align: center;
    font-size: 14px;
    color: #000;
    margin-top: 20px;
    display: block;
}

.flash-sale-category {
    display: none;
}

.flash-sale-category.active {
    display: block;
}

.swiper-slide {
    height: auto;
}

.fs-tab-content {
    display: none
}

.fs-tab-content.active {
    display: block
}

.fs-tab.active {
    background: #ff0000;
    color: #fff;
}

header#header ul.header-nav {
    flex-wrap: nowrap;
    /*justify-content: center;*/
}

.flash-sale-swiper {
    padding: 10px 0 40px;
}

.grid_template img {
    border-radius: 10px;
}
a.quick-view {
    display: none !important;
}
a.btn_muadeal {
    color: red;
    border-radius: 50px;
    display: block;
    text-align: center;
    padding: 5px;
    border: 1px solid red;
    font-weight: 500;
    margin: 10px 0 !important;
    display: none;
}

span.sold_count {
    font-size: 13px;
    font-style: italic;
    margin-top: 4px;
    display: block;
}

.flash_sale_list {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 10px;
    gap: 10px;
}

.flash_sale_list .flash_sale_item {
    background: #fff;
    color: var(--primary-color);
    font-weight: 700;
    padding: 12px 0;
    border-radius: 20px;
    min-width: 200px;
    text-align: center;
}

.flash_sale_list .flash_sale_item.active {
    background: var(--primary-color);
    color: #fff;

}

.box-text.box-text-products {
    padding-bottom: 0;
}

.flash_sale_timer {
    display: flex;
    justify-content: center;
    flex-direction: column;
}

.list_tab_flashsale ul {
    list-style: none;
    display: flex;
    gap: 10px;
    padding: 0;
    margin: 0;
    align-items: center;
    overflow-x: scroll;
    scrollbar-width: none;
}

.list_tab_flashsale ul li {
    cursor: pointer;
    padding: 5px 14px;
    border-radius: 50px;
    background: #fff;
    font-weight: 600;
    color: #000;
    margin: 0;
    flex: 0 0 auto;
}

.list_tab_flashsale ul li.active, .list_tab_flashsale ul li:hover {
    background: var(--primary-color);
    color: #fff;

}
a.see_more_deal {
    color: #fff;
    text-align: center;
    display: block;
    margin: 20px;
}

div#loading_flashsale {
    margin-bottom: 20px;
}
.block_product_sale .product-small.col {
    padding: 0;
}

.block_product_sale a.quick-view {
    display: none;
}

.list_tab_flashsale {
    margin: 10px 0;
}


.block_product_sale .product-small.col {
    padding: 0;
    height: 100%;
}

.block_product_sale a.quick-view {
    display: none;
}

.list_tab_flashsale {
    margin: 10px 0;
}

.product-small .col-inner .product-small.box {
    height: auto;
}

.flashsale-swiper .swiper-slide {
    height: 100%;
}

.flash_sale_wrapper .wrap_bg {
    background-size: 100% 1233px;
    background-repeat: no-repeat;
    border-radius: 20px;
    overflow: hidden;
}
.row_dh {
    background: #fff;
    margin: 0 !important;
    width: 100% !important;
    max-width: 100% !important;
    justify-content: center;
	    border-radius: 10px;
}
.flash_sale_wrapper .wrap_inner_flashsale {
    padding: 0 20px 0px;
    padding-top: 220px;
}
.section_navigation {
    position: sticky;
    top: 124px;
    z-index: 100;
    padding: 0 !important;
}

.section_navigation .col {
    padding-bottom: 0;
    padding: 0;
}
.flashsale-swiper {
    height: 100%;
}
.row_dh .icon-box-img img {
    height: 50px;
    object-fit: contain;
}
.flashsale-swiper .swiper-slide {
    height: auto !important;
    display: flex;
}
.header-search-form-wrapper input#woocommerce-product-search-field-0 {
    height: 50px;
    background: transparent;
}
.block_product_sale .col-inner.demo3121 {
    height: 100%;
}
.row_mega_menu .col-inner .ux-menu .ux-menu-link {
    flex: 0 0 auto;
}
.header-search-form-wrapper form .flex-col button.icon {
    background-color: red !important;
    color: #fff !important;
    border-radius: 0;
    height: 50px;
    width: 50px;
    margin: 0 !important;
}

button.ux-search-submit.submit-button.secondary.button.icon.mb-0 {}

.header-search-form-wrapper form.searchform {
    border: 1px solid red;
    border-radius: 15px;
    overflow: hidden;
}

.header-search-form-wrapper form.searchform input {
    border: none !important;
    background: transparent;
}

.header-search-form-wrapper form .flex-col:has( button.icon) {
    margin: 0 !important;
    padding: 0;
}
li.header-search-form {
    width: auto;
    min-width: 450px;
}
/* .flickity-slider > .product-small {
    height: 100%;
} */
.row_product_sale {
    padding: 17px 7px 0;
    background: #fff;
    border-radius: 20px;
}
.row_camket .col {
    padding-bottom: 0;
}

.row_camket .col .icon-box {
    align-items: start;
}

.row_camket .col img {
    padding-top: 0;
}
.content-wrapper {
    position: relative;
}

.content_kythuat {
    overflow: hidden;
    transition: max-height 0.3s ease;
}

/* Tráº¡ng thÃ¡i rÃºt gá»n */
.content_kythuat.is-collapsed {
    max-height: 300px;
}

/* Overlay */
.content-overlay {
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    height: 80px;
    background: linear-gradient(
            to bottom,
            rgba(255,255,255,0),
            #ffffff
    );
    pointer-events: none;
    display: none;
}

/* Hiá»‡n overlay khi rÃºt gá»n */
.content-wrapper.is-collapsed .content-overlay {
    display: block;
}
.content-wrapper.is-collapsed {
    max-height: 300px;
    overflow: hidden;
}

.btn-toggle-content {
    margin-top: 12px;
    background: none;
    border: none;
    color: var(--primary-color);
    font-weight: 600;
    cursor: pointer;
}
button.btn-toggle-content {
    margin: 0 auto;
    width: 100%;
}
.list_shortcode_item {
    position: fixed;
    bottom: 12%;
    right: 0;
    display: flex;
    flex-direction: column;
    gap: 10px;

}
.ux-relay__load-more-button {border-radius: 10px;}
select.orderby {
    border-radius: 10px;
}
.list_shortcode_item .cc-phone-shortcode {
    border-radius: 100px 0 0 100px;
    transition: all 0.5s;
    transform: translateX(110px);
}
.cc-phone-shortcode .icon {
    width: 32px;
    height: 32px;
    display: flex;
}

.cc-phone-shortcode a {
    display: flex;
    color: #fff;
    font-weight: 700;
    padding: 10px;
    align-items: center;
    gap: 10px;
}

.cc-phone-shortcode:hover {
    transform: translateY(0);
}
.icon-box.active {
    border: 2px solid #ff6600;
    background-color: #fff5eb;
}

.icon-box.active p {
    font-weight: bold;
    color: #ff6600;
}
.footer_bct {
    width: 30%;
    margin-left: auto;
}
.header-bottom {
    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), 0px 6px 6px 0px rgba(0, 0, 0, .04);
}
.icon-box-left, .icon-box-right {
    align-items: center;
}
.product-thumbnails.thumbnails.slider .col {
    border-radius: 20px !important;
}

.product-thumbnails.thumbnails.slider .col a {
    border-radius: 12px;
}
.row_camket .icon-box-text {
    font-size: 14px;
}

.row_camket .col .col-inner {
    padding-bottom: 9px;
}
.share-product-info {
    display: flex;
    align-items: center;
    gap: 50px;
}
.page-title-inner {
    display: none;
}
.share-product-info--image {}

.share-product-info--content h4 {
    font-size: 22px;
}

.share-product-info .share-price {
    color: red;
}

.share-product-info span.price-new {
    display: block;
}

.share-product-info span.price-new .amount {
    color: red;
    font-size: 24px;
}

.share-product-info span.price-old .amount {
    text-decoration: line-through;
}

.share-product-info span.discount {
    background: red;
    border-radius: 9px;
    color: #fff;
    padding: 6px;
}

.share-actions {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
}
.share-actions a {
    background: var(--fs-color-secondary);
    color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
}
.share-actions a,.share-actions button {
    border-radius: 10px;
    min-width: 240px;
    text-align: center;
    height: 55px;
}

.share-actions button {
    border: 1px solid var(--fs-color-secondary);
    color: var(--fs-color-secondary);
    margin: 0;
}
.share-product-info--image img {
    width: 100%;
    border-radius: 15px;
    width: 150px;
    aspect-ratio: 1/1;
}
div#share-popup {
    border-radius: 20px;
}
.stack_social .icon img {
    padding-top: 0;
    height: 20px;
}

.stack_social  .icon {
    border-radius: 50%;
}
.stack_social  .icon-inner {
    display: flex;
    align-items: center;
}
.stack_social .icon-box {
    padding: 5px;
    border: 1px solid #dcdcdc;
    border-radius: 50%;
}
.product-small .col-inner .product-small.box p.name.product-title a:hover {
    color: var(--fs-color-secondary);
}
.stack_social .icon-box-img {
    margin-bottom: 0;
}
.phone-vr-circle-fill,.phone-vr-img-circle {
    animation: none !important;
}
.product-lightbox-inner form.cart {
    display: none;
}
p.woocommerce-result-count.hide-for-medium {
    display: none !important;
}

nav.woocommerce-breadcrumb.breadcrumbs.uppercase {
    display: none !important;
}
.yith-wcan-filters form {
    display: flex;
    flex-wrap: wrap;
}

.yith-wcan-filters .yith-wcan-filter:nth-child(1) {
    width: 100%;
}

.yith-wcan-filters .yith-wcan-filter {
    width: 33%
}
.stack_btn {
    margin-bottom: 20px;
}
.tab_product_home .tab-panels {
    border: none;
}

.tab_product_home ul.nav.nav-tabs {
    border-bottom: 1px solid #ddd;
}
@media only screen and (max-width: 48em) {
    /*************** ADD MOBILE ONLY CSS HERE  ***************/
    .icon_box_banggia .icon-box-text {
        font-size: 14px;
        gap: 10px;
        justify-content: space-between;
    }
    .flash-sale-box {
        padding: 10px;
    }

    .flash-sale-box .flash-price {
        font-size: 28px;
        line-height: 1;
    }
    li.header-search-form {
        min-width: 100%;
    }
    /* 1. Ẩn header-bottom nhưng KHÔNG destroy con */
    .header-wrapper.stuck #wide-nav {
        visibility: hidden !important;
        height: 0 !important;
        overflow: hidden;
        padding: 0;
        margin: 0;
        min-height: 0;
        z-index: 14;
    }

    /* 2. Kéo search ra khỏi layout cha */
    .header-wrapper.stuck
    li.header-search-form {
        visibility: visible;
        position: fixed !important;
        top: 9px;
        left: 50%;
        transform: translateX(-50%);
        width: calc(70% - 32px);
        z-index: 9999;
        min-width: 37%;
    }

    /* 3. Header làm nền cho search */
    .header-wrapper.stuck #masthead {
        position: relative;
        z-index: 10;
    }

    .header-wrapper.stuck #wide-nav .flex-row.container {
        height: 0 !important;
    }

    .header-search-form-wrapper form.searchform .flex-col {
    }

    .searchform-wrapper {
        width: 91% !important;
    }

    .header-wrapper.stuck #masthead .header-inner {
        position: relative;
        z-index: -1;
    }

    .header-wrapper.stuck div#logo {
        display: none;
    }
    .stack_btn {
        position: fixed;
        bottom: 0;
        z-index: 100;
        background: #fff;
        width: 100%;
        left: 0;
        padding: 10px;
        margin: 0;
    }
}
